MyGUI: MyGUI::LayerManager Class Reference

MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::LayerManager Class Reference

`#include <MyGUI_LayerManager.h>`

Inheritance diagram for MyGUI::LayerManager:
[legend]

## Public Types
typedef std::vector< ILayer * > | VectorLayer
typedef Enumerator< VectorLayer > | EnumeratorLayer
Public Types inherited from MyGUI::Singleton< LayerManager >
typedef Singleton< LayerManager > | Base

## Public Member Functions
| LayerManager ()
void | initialise ()
void | shutdown ()
void | attachToLayerNode (const std::string &_name, Widget *_item)
void | detachFromLayer (Widget *_item)
void | upLayerItem (Widget *_item)
bool | isExist (const std::string &_name) const
EnumeratorLayer | getEnumerator () const
ILayer * | getByName (const std::string &_name, bool _throw=true) const
size_t | getLayerCount () const
ILayer * | getLayer (size_t _index)
Widget * | getWidgetFromPoint (int _left, int _top)
void | renderToTarget (IRenderTarget *_target, bool _update)
void | resizeView (const IntSize &_viewSize)
const std::string & | getCategoryName () const
Public Member Functions inherited from MyGUI::Singleton< LayerManager >
| Singleton ()
virtual | ~Singleton ()
Public Member Functions inherited from MyGUI::IUnlinkWidget
virtual | ~IUnlinkWidget ()
Public Member Functions inherited from MyGUI::MemberObsolete< LayerManager >
bool | load (const std::string &_file)

## Additional Inherited Members
Static Public Member Functions inherited from MyGUI::Singleton< LayerManager >
static LayerManager & | getInstance ()
static LayerManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 22 of file MyGUI_LayerManager.h.

## Member Typedef Documentation

## ◆ EnumeratorLayer

typedef Enumerator<VectorLayer> MyGUI::LayerManager::EnumeratorLayer

Definition at line 29 of file MyGUI_LayerManager.h.

## ◆ VectorLayer

typedef std::vector<ILayer*> MyGUI::LayerManager::VectorLayer

Definition at line 28 of file MyGUI_LayerManager.h.

## Constructor & Destructor Documentation

## ◆ LayerManager()

MyGUI::LayerManager::LayerManager | ( |  | ) |

Definition at line 24 of file MyGUI_LayerManager.cpp.

## Member Function Documentation

## ◆ attachToLayerNode()

void MyGUI::LayerManager::attachToLayerNode | ( | const std::string & | _name,
|  | Widget * | _item
| ) |  |

Attach widget to specific layer

Parameters

  _name | Layer name
  _item | Widget pointer

Definition at line 119 of file MyGUI_LayerManager.cpp.

## ◆ detachFromLayer()

void MyGUI::LayerManager::detachFromLayer | ( | Widget * | _item | ) |

Detach widget from layer

Parameters

  _item | Widget pointer

Definition at line 142 of file MyGUI_LayerManager.cpp.

## ◆ getByName()

ILayer * MyGUI::LayerManager::getByName | ( | const std::string & | _name,
|  | bool | _throw = `true`
| ) |  | const

Get layer by name

Definition at line 215 of file MyGUI_LayerManager.cpp.

## ◆ getCategoryName()

const std::string & MyGUI::LayerManager::getCategoryName | ( |  | ) | const

Definition at line 248 of file MyGUI_LayerManager.cpp.

## ◆ getEnumerator()

LayerManager::EnumeratorLayer MyGUI::LayerManager::getEnumerator | ( |  | ) | const

Get layer nodes Enumerator

Definition at line 226 of file MyGUI_LayerManager.cpp.

## ◆ getLayer()

ILayer * MyGUI::LayerManager::getLayer | ( | size_t | _index | ) |

Definition at line 242 of file MyGUI_LayerManager.cpp.

## ◆ getLayerCount()

size_t MyGUI::LayerManager::getLayerCount | ( |  | ) | const

Definition at line 237 of file MyGUI_LayerManager.cpp.

## ◆ getWidgetFromPoint()

Widget * MyGUI::LayerManager::getWidgetFromPoint | ( | int | _left,
|  | int | _top
| ) |  |

Get top visible and enabled widget at specified position

Definition at line 195 of file MyGUI_LayerManager.cpp.

## ◆ initialise()

void MyGUI::LayerManager::initialise | ( |  | ) |

Definition at line 30 of file MyGUI_LayerManager.cpp.

## ◆ isExist()

bool MyGUI::LayerManager::isExist | ( | const std::string & | _name | ) | const

Check is layer exist

Definition at line 154 of file MyGUI_LayerManager.cpp.

## ◆ renderToTarget()

void MyGUI::LayerManager::renderToTarget | ( | IRenderTarget * | _target,
|  | bool | _update
| ) |  |

Render all layers to specified target

Definition at line 207 of file MyGUI_LayerManager.cpp.

## ◆ resizeView()

void MyGUI::LayerManager::resizeView | ( | const IntSize & | _viewSize | ) |

Definition at line 231 of file MyGUI_LayerManager.cpp.

## ◆ shutdown()

void MyGUI::LayerManager::shutdown | ( |  | ) |

Definition at line 45 of file MyGUI_LayerManager.cpp.

## ◆ upLayerItem()

void MyGUI::LayerManager::upLayerItem | ( | Widget * | _item | ) |

Up widget to be on top of its layer

Parameters

  _item | Widget pointer

Definition at line 148 of file MyGUI_LayerManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_LayerManager.h
- MyGUI_LayerManager.cpp